Project Chrono: chrono::ChSolverLS Class Reference

List of all members
chrono::ChSolverLS Class Reference
Chrono::Engine » Solver

## Description

Base class for solvers aimed at solving linear systems.

`#include <ChSolverLS.h>`

Inheritance diagram for chrono::ChSolverLS:
[legend]
Collaboration diagram for chrono::ChSolverLS:
[legend]

## Additional Inherited Members
Public Types inherited from chrono::ChSolver
enum class | Type { PSOR , PSSOR , PJACOBI , PMINRES , BARZILAIBORWEIN , APGD , ADMM , SPARSE_LU , SPARSE_QR , PARDISO_MKL , MUMPS , GMRES , MINRES , BICGSTAB , CUSTOM }
| Available types of solvers. More...
Public Member Functions inherited from chrono::ChSolver
virtual Type | GetType () const
| Return type of the solver.
virtual bool | IsIterative () const =0
| Return true if iterative solver.
virtual bool | IsDirect () const =0
| Return true if direct solver.
virtual ChIterativeSolver * | AsIterative ()
| Downcast to ChIterativeSolver.
virtual ChDirectSolverLS * | AsDirect ()
| Downcast to ChDirectSolver.
virtual bool | SolveRequiresMatrix () const =0
| Indicate whether or not the Solve() phase requires an up-to-date problem matrix.
virtual double | Solve (ChSystemDescriptor &sysd)=0
| Performs the solution of the problem.
virtual bool | Setup (ChSystemDescriptor &sysd)
| This function does the setup operations for the solver.
void | SetVerbose (bool mv)
| Set verbose output from solver.
void | EnableWrite (bool val, const std::string &frame, const std::string &out_dir=".")
| Enable/disable debug output of matrix, RHS, and solution vector.
virtual void | ArchiveOut (ChArchiveOut &archive_out)
| Method to allow serialization of transient data to archives.
virtual void | ArchiveIn (ChArchiveIn &archive_in)
| Method to allow de-serialization of transient data from archives.
Protected Attributes inherited from chrono::ChSolver
bool | verbose
bool | write_matrix
std::string | output_dir
std::string | frame_id

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/solver/ChSolverLS.h